<?php
/*
Plugin Name: WhatsApp Chat for WP
Plugin URI: http://www.campagnaemailmarketing.it
Description: Start a conversation in whatsapp right from your site.
Author: Domenico Buttafarro
Author URI: http://www.campagnaemailmarketing.it/contatti
Version: 1.0
License: GPLv2
*/

if ( ! defined( 'ABSPATH' ) )
	exit;

function whatsapp_chat_wp_menu() {
	add_options_page('WhatsApp Chat Settings', 'WhatsApp Chat', 'administrator', 'whatsapp-chat-settings', 'whatsapp_chat_wp_settings_page');
}
add_action('admin_menu', 'whatsapp_chat_wp_menu');

function whatsapp_chat_wp_settings_page() { ?>
<div class="wrap">
<h2>WhatsApp Chat for WP</h2>
<h3>Start a conversation in whatsapp right from your site.</h3>
<form method="post" action="options.php">
    <?php
		settings_fields( 'whatsapp-chat-settings' );
		do_settings_sections( 'whatsapp-chat-settings' );
	?>
	<!-- WP Img Uploader -->
	<script>
    jQuery(document).ready(function($){
    var custom_uploader;
    $('#whatsapp_chat_wp_upload_image_button').click(function(e) {
        e.preventDefault();
        //If the uploader object has already been created, reopen the dialog
        if (custom_uploader) {
            custom_uploader.open();
            return;
        }
        //Extend the wp.media object
        custom_uploader = wp.media.frames.file_frame = wp.media({
            title: 'Choose Image',
            button: {
                text: 'Choose Image'
            },
            multiple: true
        });
        //When a file is selected, grab the URL and set it as the text field's value
        custom_uploader.on('select', function() {
            console.log(custom_uploader.state().get('selection').toJSON());
            attachment = custom_uploader.state().get('selection').first().toJSON();
            $('#whatsapp_chat_wp_upload_image').val(attachment.url);
        });
        //Open the uploader dialog
        custom_uploader.open();
    });
	});
	</script>
	<!-- WP Img Uploader - END -->

    <table class="form-table">
        <tr valign="top">
			<th scope="row"><label for="whatsapp_chat_wp_page">Number whatsapp</label></th>
			<td>
				<input type="text" size="30" name="whatsapp_chat_wp_page" value="<?php echo esc_attr( get_option('whatsapp_chat_wp_page') ); ?>" /> <small>Ex. +39394939222<br />Note that you must fill in the number in the international model + country code (55 for Brazil) DDD of your city and full number.</small>
			</td>
        </tr>
		<tr valign="top">
			<th scope="row"><label for="whatsapp_chat_wp_msg">Message to start conversation</label></th>
			<td>
				<input type="text" size="60" name="whatsapp_chat_wp_msg" value="<?php echo esc_attr( get_option('whatsapp_chat_wp_msg') ); ?>" /> <small>Hello, I would like to know more about your service / product.</small>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="whatsapp_chat_wp_hide_button">Hide Chat</label></th>
			<td>
				<input type="checkbox" name="whatsapp_chat_wp_hide_button" value="true" <?php echo ( get_option('whatsapp_chat_wp_hide_button') == true ) ? ' checked="checked" />' : ' />'; ?>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="whatsapp_chat_wp_left_side">Left side chat</label></th>
			<td>
				<input type="checkbox" name="whatsapp_chat_wp_left_side" value="true" <?php echo ( get_option('whatsapp_chat_wp_left_side') == true ) ? ' checked="checked" />' : ' />'; ?>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="whatsapp_chat_wp_icon">Custom Icon</label></th>
			<td>
				<label for="whatsapp_chat_wp_upload_image">
					<input id="whatsapp_chat_wp_upload_image" name="whatsapp_chat_wp_upload_image" type="text" size="50" value="<?php echo esc_attr( get_option('whatsapp_chat_wp_upload_image') ); ?>" />
					<input id="whatsapp_chat_wp_upload_image_button" name="whatsapp_chat_wp_upload_image_button" class="button" type="button" value="Upload Image" /><br />
					<small>Enter your url (http: //) or upload the image. <i><a href="<?php echo plugins_url( 'images/whatsapp-chat-icons.zip', __FILE__ ) ?>"></small>
				</label>
			</td>
		</tr>
    </table>
    <?php submit_button(); ?>
</form>
</div>
<?php }

function whatsapp_chat_wp_settings() {
	register_setting( 'whatsapp-chat-settings', 'whatsapp_chat_wp_page' );
	register_setting( 'whatsapp-chat-settings', 'whatsapp_chat_wp_msg' );
	register_setting( 'whatsapp-chat-settings', 'whatsapp_chat_wp_hide_button' );
	register_setting( 'whatsapp-chat-settings', 'whatsapp_chat_wp_left_side' );
	register_setting( 'whatsapp-chat-settings', 'whatsapp_chat_wp_upload_image' );
	register_setting( 'whatsapp-chat-settings', 'whatsapp_chat_wp_upload_image_button' );
}
add_action( 'admin_init', 'whatsapp_chat_wp_settings' );

function whatsapp_chat_wp_deactivation() {
    delete_option( 'whatsapp_chat_wp_page' );
    delete_option( 'whatsapp_chat_wp_msg' );
    delete_option( 'whatsapp_chat_wp_hide_button' );
    delete_option( 'whatsapp_chat_wp_left_side' );
    delete_option( 'whatsapp_chat_wp_upload_image' );
    delete_option( 'whatsapp_chat_wp_upload_image_button' );
}
register_deactivation_hook( __FILE__, 'whatsapp_chat_wp_deactivation' );

function whatsapp_chat_wp_dependencies() {
	wp_register_script( 'whatsapp-chat-index', '', true );
	wp_enqueue_script( 'whatsapp-chat-index' );
	wp_register_style( 'whatsapp-chat-style', plugins_url('css/style.css', __FILE__) );
	wp_enqueue_style( 'whatsapp-chat-style' );
}
add_action( 'wp_enqueue_scripts', 'whatsapp_chat_wp_dependencies' );

//WP Img Uploader
function whatsapp_chat_wp_admin_scripts() {
    if (isset($_GET['page']) && $_GET['page'] == 'whatsapp-chat-settings') {
        wp_enqueue_media();
        wp_register_script('whatsapp-chat-admin-js');
        wp_enqueue_script('whatsapp-chat-admin-js');
    }
}
add_action('admin_enqueue_scripts', 'whatsapp_chat_wp_admin_scripts');

function whatsapp_chat_wp() { ?>

<?php if (get_option('whatsapp_chat_wp_hide_button') != true) {
$whatsapp_chat_wp_upload_image = get_option( 'whatsapp_chat_wp_upload_image' );
if ( empty( $whatsapp_chat_wp_upload_image ) ) $whatsapp_chat_wp_upload_image = plugins_url( 'images/whatsapp-chat.png', __FILE__ );
?>
<div id="wacht<?php if (get_option('whatsapp_chat_wp_left_side') == true) { ?>-leftside<?php } ?>">
	<img src="<?php echo $whatsapp_chat_wp_upload_image; ?>" onclick="window.open('https://<?php if (wp_is_mobile() ) {echo "api";} else {echo "web";}?>.whatsapp.com/send?phone=<?php echo esc_attr( get_option('whatsapp_chat_wp_page')); ?>&text=<?php echo esc_attr( get_option('whatsapp_chat_wp_msg') ); ?>', '_blank');">
</div>
<?php }//hide_button ?>
<?php
}
add_action( 'wp_footer', 'whatsapp_chat_wp', 10 );
